Index: sansmodels/src/c_models/binaryHS.cpp
===================================================================
--- sansmodels/src/c_models/binaryHS.cpp	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ sansmodels/src/c_models/binaryHS.cpp	(revision 82c11d354f0cffa7741bd2e74e0641e042eeb034)
@@ -21,26 +21,25 @@
 
 #include <math.h>
-#include "models.hh"
 #include "parameters.hh"
 #include <stdio.h>
 using namespace std;
+#include "binaryHS.h"
 
 extern "C" {
-	#include "libSphere.h"
-	#include "binaryHS.h"
+#include "libSphere.h"
 }
 
 BinaryHSModel :: BinaryHSModel() {
 
-	l_radius     = Parameter(160.0, true);
-	l_radius.set_min(0.0);
-	s_radius    = Parameter(25.0, true);
-	s_radius.set_min(0.0);
-	vol_frac_ls  = Parameter(0.2);
-	vol_frac_ss  = Parameter(0.1);
-	ls_sld      = Parameter(3.5e-6);
-	ss_sld     = Parameter(5e-7);
-	solvent_sld   = Parameter(6.36e-6);
-	background = Parameter(0.0);
+  l_radius     = Parameter(160.0, true);
+  l_radius.set_min(0.0);
+  s_radius    = Parameter(25.0, true);
+  s_radius.set_min(0.0);
+  vol_frac_ls  = Parameter(0.2);
+  vol_frac_ss  = Parameter(0.1);
+  ls_sld      = Parameter(3.5e-6);
+  ss_sld     = Parameter(5e-7);
+  solvent_sld   = Parameter(6.36e-6);
+  background = Parameter(0.0);
 }
 
@@ -52,44 +51,44 @@
  */
 double BinaryHSModel :: operator()(double q) {
-	double dp[8];
+  double dp[8];
 
-	// Fill parameter array for IGOR library
-	// Add the background after averaging
-	dp[0] = l_radius();
-	dp[1] = s_radius();
-	dp[2] = vol_frac_ls();
-	dp[3] = vol_frac_ss();
-	dp[4] = ls_sld();
-	dp[5] = ss_sld();
-	dp[6] = solvent_sld();
-	dp[7] = 0.0;
+  // Fill parameter array for IGOR library
+  // Add the background after averaging
+  dp[0] = l_radius();
+  dp[1] = s_radius();
+  dp[2] = vol_frac_ls();
+  dp[3] = vol_frac_ss();
+  dp[4] = ls_sld();
+  dp[5] = ss_sld();
+  dp[6] = solvent_sld();
+  dp[7] = 0.0;
 
 
-	// Get the dispersion points for the large radius
-	vector<WeightPoint> weights_l_radius;
-	l_radius.get_weights(weights_l_radius);
+  // Get the dispersion points for the large radius
+  vector<WeightPoint> weights_l_radius;
+  l_radius.get_weights(weights_l_radius);
 
-	// Get the dispersion points for the small radius
-	vector<WeightPoint> weights_s_radius;
-	s_radius.get_weights(weights_s_radius);
+  // Get the dispersion points for the small radius
+  vector<WeightPoint> weights_s_radius;
+  s_radius.get_weights(weights_s_radius);
 
-	// Perform the computation, with all weight points
-	double sum = 0.0;
-	double norm = 0.0;
+  // Perform the computation, with all weight points
+  double sum = 0.0;
+  double norm = 0.0;
 
-	// Loop over larger radius weight points
-	for(int i=0; i< (int)weights_l_radius.size(); i++) {
-		dp[0] = weights_l_radius[i].value;
+  // Loop over larger radius weight points
+  for(int i=0; i< (int)weights_l_radius.size(); i++) {
+    dp[0] = weights_l_radius[i].value;
 
-		// Loop over small radius weight points
-		for(int j=0; j< (int)weights_s_radius.size(); j++) {
-			dp[1] = weights_s_radius[j].value;
+    // Loop over small radius weight points
+    for(int j=0; j< (int)weights_s_radius.size(); j++) {
+      dp[1] = weights_s_radius[j].value;
 
 
-			sum += weights_l_radius[i].weight *weights_s_radius[j].weight * BinaryHS(dp, q);
-			norm += weights_l_radius[i].weight *weights_s_radius[j].weight;
-		}
-	}
-	return sum/norm + background();
+      sum += weights_l_radius[i].weight *weights_s_radius[j].weight * BinaryHS(dp, q);
+      norm += weights_l_radius[i].weight *weights_s_radius[j].weight;
+    }
+  }
+  return sum/norm + background();
 }
 
@@ -101,6 +100,6 @@
  */
 double BinaryHSModel :: operator()(double qx, double qy) {
-	double q = sqrt(qx*qx + qy*qy);
-	return (*this).operator()(q);
+  double q = sqrt(qx*qx + qy*qy);
+  return (*this).operator()(q);
 }
 
@@ -113,5 +112,5 @@
  */
 double BinaryHSModel :: evaluate_rphi(double q, double phi) {
-	return (*this).operator()(q);
+  return (*this).operator()(q);
 }
 
@@ -121,6 +120,6 @@
  */
 double BinaryHSModel :: calculate_ER() {
-	//NOT implemented yet!!!
-	return 0.0;
+  //NOT implemented yet!!!
+  return 0.0;
 }
 
